## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate rd-hashd

Name:           rust-rd-hashd
Version:        2.1.2
Release:        %autorelease
Summary:        Latency-sensitive pseudo workload for resctl-demo

License:        Apache-2.0
URL:            https://crates.io/crates/rd-hashd
Source:         %{crates_source}
# hashd: build fix for 32bit archs
Patch0:         https://github.com/facebookexperimental/resctl-demo/commit/dbe5735bdf005a24e54dd19559016a59f6f43536.patch
# * fix builds with Rust 1.73+ caused by ambiguous <number>::div_ceil calls
Patch1:         0001-Disambiguate-num-Integer-div_ceil-from-number-div_ce.patch

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
Latency-sensitive pseudo workload for resctl-demo.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# BSD-3-Clause
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND MIT AND Unicode-DFS-2016 AND (Apache-2.0 OR BSL-1.0) AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/rd-hashd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -N
%patch -P0 -p2
%patch -P1 -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Oct 08 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.2-10
- Fix builds with Rust 1.73+ caused by ambiguous <number>::div_ceil calls

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.2-9
- Regenerate with rust2rpm v24

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.2-7
- Rebuild for CVE-2022-24765 and CVE-2022-29187 in libgit2

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.1.2-4
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Oct 22 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.1.2-2
- Build for epel8

* Thu Oct 21 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.1.2-1
- Initial import; Fixes: RHBZ#1990927
## END: Generated by rpmautospec
